@echo off
setlocal

set LOG_FILE=%~1
set DRIVER_LIB=%~2
set DRIVER=%~3
set URL="%~4"
set USER_ID=%~5
set PASSWORD=%~6
set CHECK_DB_SQL=%~7

set URL=%URL:@equal@==%

call ant -Dlib="%DRIVER_LIB%" -Ddriver="%DRIVER%" -Durl=%URL% -DuserId="%USER_ID%" -Dpassword="%PASSWORD%" -Dsql="%CHECK_DB_SQL%" -f "%SCRIPTS_DIR%sql.xml" 1>nul 2>>"%LOG_FILE%"
if errorlevel 1 (
	goto error
) else (
	goto no_error
)

:no_error
exit 0

:error
echo データベースの接続に失敗しました。
echo 下記の事項を確かめ、再度実行してください。
echo 1.接続先のデータベースが起動しているかどうか。
echo 2.DB接続用ライブラリが｢%DRIVER_LIB%｣に存在するかどうか。
echo 3.接続先情報が正しいかどうか。
echo  driver : %DRIVER%
echo  url : %URL%
echo  user_id : %USER_ID%
echo  password : %PASSWORD%
echo  ライブラリ : %DRIVER_LIB%
echo  DB生存チェック用SQL : %CHECK_DB_SQL%
echo 4.エラーログは、｢%LOG_FILE%｣を参照してください。
exit 1

endlocal
